Subject: .netrc

From: [email-masked]
Date: Wed, 29 Mar 95 12:12:27 PST

>I am having a  probelm using a `.netrc' file under Linux 1.2.1, and the
>ftp client that accompanies it.  Someone let me know if this is beyond
>the scope of support for wu-ftpd--however I have not been able to think 
>of another listserv that may know the answer to this question, perhaps
>a Linux listserv.  However, here goes anyway :-)
>

Could your ftp client and man page be out of sync?  What package are you running?  (In 
theory, nothing comes with the kernel - you must have gotten a Debian or Yggdrasil or 
Slackware or ??? package?)

I'm running 1.2.1 and the Slackware release from late last December from ftp.cdrom.com (2.0, 
2.1???).  I just tried a .netrc that is very similar to yours below, and it worked fine.  My 
/bin/ftp is dated July 31, 1994, size 58372 bytes.

I replied to the list for whatever marginal benefit others might get from the post.  
However, since this is off list topic, if you wish feel free to reply to me directly and 
I'll be glad to help what I can.

Michael

>-- My ~/.netrc (mode 600) --
>machine target.host.com
>login myuser
>password mypass
>macdef init
>bin
>put test.file
>bye
>
>(2 consecutive newline characters)
>[EOF]
>
>-- Running ftp results in the following: --
>Connected to target.host.com
>220 target.host.com FTP server (Version wu-2.1c(1) Tue Feb 1 1994) ready.
>Unknown .netrc option macdef
>Unknown .netrc option init
>Unknown .netrc option bin
>Unknown .netrc option put
>Unknown .netrc option test.file
>Unknown .netrc option bye
>331 Password required for myuser.
>230 User myuser logged in.
>Remote system type is UNIX.
>Using binary mode to transfer files.
>ftp> quit <-- typed by myself from the keyboard